Package com.apple.foundationdb.async

## Interface Cancellable

    public interface Cancellable

Describes an operation or signal that can be cancelled. Cancellation will be assumed to "chain" -- that is, once an `cancel()` is called, an operation will be cancelled even if there are other consumers of the operation which have not cancelled.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel()` Cancels this operation or signal.

### Method Detail

#### cancel

    void cancel()

Cancels this operation or signal. This will end the work that would have been done and notify all consumers of the operation that a result will not be returned. It is not an error to call this method on an operation that has already completed or already been cancelled. This method will not block or throw non-fatal exceptions.